$(function () {

    // Grab variables we need from the tempalte file
    
    var $symbol = $('#'+$chartid).data('symbol');
    var $template_id = $('#'+$chartid).data('template-id');
    var $title = $('#'+$chartid).data('title');
    var $chart_color = $('#'+$chartid).data('color');
    var $display_vol = $('#'+$chartid).data('display-vol');
    $title = $symbol + ' Stock Price';


    if($display_vol == 'yes') { // If we are displaying volume

        $.getJSON($pathStock + $template_id + '/source/get.php?symbol=' + $symbol + '&vol=yes', function (data) { // Grab data from same domain file

            // split the data set into price and volume
            var price = [],
                volume = [],
                dataLength = data.length,
                i = 0;

            for (i; i < dataLength; i += 1) {
                price.push([
                    data[i][0], // the date
                    data[i][1] // price
                ]);

                volume.push([
                    data[i][0], // the date
                    data[i][2] // the volume
                ]);
            }

            Highcharts.stockChart($chartid, { // Create chart


                rangeSelector: {
                    selected: 2
                },

                title: {
                    text: $title
                },

                colors: [
                    $chart_color
                ],

                yAxis: [{
                    labels: {
                        align: 'right',
                        x: -3
                    },
                    title: {
                        text: 'Price'
                    },
                    height: '70%',
                    lineWidth: 2
                }, {
                    labels: {
                        align: 'right',
                        x: -3
                    },
                    title: {
                        text: 'Volume'
                    },
                    top: '75%',
                    height: '25%',
                    offset: 0,
                    lineWidth: 2
                }],

                series: [{
                    name: $symbol,
                    data: price,
                    tooltip: {
                        valueDecimals: 2
                        }
                    }, 
                    {
                    type: 'column',
                    name: 'Volume',
                    data: volume,
                    yAxis: 1
                }]
            });
        });

    } else {

        $.getJSON($pathStock + $template_id + '/source/get.php?symbol=' + $symbol, function (data) {   // Grab data from same domain file

            Highcharts.stockChart($chartid, { // Create chart


                rangeSelector: {
                    selected: 2
                },

                title: {
                    text: $title
                },

                colors: [
                    $chart_color
                ],

                series: [{
                    name: $symbol,
                    data: data,
                    tooltip: {
                        valueDecimals: 2
                    }
                }]
            });        
        });
    }
});