$(function () {


    var $symbol = $('#'+$chartid).data('symbol');
    var $template_id = $('#'+$chartid).data('template-id');
    var $title = $('#'+$chartid).data('title');
    var $chart_color = $('#'+$chartid).data('color');
    $title = $symbol + ' Stock Price';

    $.getJSON($path + $template_id + '/source/get.php?symbol=' + $symbol, function (data) {

        // split the data set into price and volume
        var price = [],
            volume = [],
            dataLength = data.length,
            i = 0;

        for (i; i < dataLength; i += 1) {
            price.push([
                data[i][0], // the date
                data[i][1] // price
            ]);

            volume.push([
                data[i][0], // the date
                data[i][2] // the volume
            ]);
        }

        Highcharts.stockChart($chartid, {


            rangeSelector: {
                selected: 2
            },

            title: {
                text: $title
            },

            colors: [
                $chart_color
            ],

            yAxis: [{
                labels: {
                    align: 'right',
                    x: -3
                },
                title: {
                    text: 'Price'
                },
                height: '60%',
                lineWidth: 2
            }, {
                labels: {
                    align: 'right',
                    x: -3
                },
                title: {
                    text: 'Volume'
                },
                top: '65%',
                height: '35%',
                offset: 0,
                lineWidth: 2
            }],

            series: [{
                name: $symbol,
                data: price,
                tooltip: {
                    valueDecimals: 2
                    }
                }, 
                {
                type: 'column',
                name: 'Volume',
                data: volume,
                yAxis: 1
            }]
        });
    });

});